#!/bin/bash
#
# This file and it's contents copyright 2011
# i9 Technologies. http://www.i9technologies.com
# e-mail isymphony-support@i9technologies.com for 
# more information
#
#

SERVER_SCRIPT_NAME=`ls -1 *Server.sh | head -n 1`
NAME=`echo ${SERVER_SCRIPT_NAME} | sed s/.sh//`
LCNAME=`echo ${SERVER_SCRIPT_NAME} | tr '[A-Z]' '[a-z]' | sed s/server// | sed s/.sh//`
LOCATION="/opt/${LCNAME}/server/";

if [ -e ${LOCATION}/config-vars.sh ]; then
    . ${LOCATION}/config-vars.sh
fi

if [ x${JAVA_HOME} = "x" ]; then
    echo "First, We need to know the path to your"
    echo "Sun / Oracle Java installation [/usr/java/latest]:"
    read JAVA_INSTALL_PATH
fi

if [ x${JAVA_INSTALL_PATH} = "x" ]; then
    JAVA_HOME="/usr/java/latest"
else
    JAVA_HOME=${JAVA_INSTALL_PATH}
fi

echo "Checking for Java Binary ${JAVA_HOME}/bin/java.."

if [ ! -x ${JAVA_HOME}/bin/java ]; then
        echo "You do not appear to have the Sun Microsystems / Oracle Java Runtime"
        echo "Environment (JRE) installed.  We could not find the java binary"
    	echo "at:"
    	echo ""
    	echo "${JAVA_HOME}/bin/java"
        echo ""
        echo "This program will not function appropriately without JSE"
        echo "1.5 (Java 5) or greater."
        echo ""
    exit 1
fi

echo "Checking For DESTDIR.."

if [ -e /opt/${LCNAME}/server ]; then
    DESTDIR=/opt/${LCNAME}/server
fi

if [ x${DESTDIR} = "x" ]; then
    if [ x${INSTALLDIR} = "x" ]; then
        echo "Where would you like this package to be installed?"
        echo "[/opt/${LCNAME}/server]"
        read INSTALL_PATH_INPUT
    fi

    if [ x${INSTALL_PATH_INPUT} = "x" ]; then
        DESTDIR="/opt/${LCNAME}/server"
    else
        DESTDIR=${INSTALL_PATH_INPUT}
    fi
fi

echo "Configuration Complete, beginning install.."

WHOAMI=`whoami`

if [ ${WHOAMI} != "root" ]; then
    echo "You must be root to install this application"
    exit 1
fi

echo "Installing into ${DESTDIR}.."

if [ ! -d ${DESTDIR} ]; then
    echo "Creating install directory.."
    install -d -v --group=${LCNAME} --owner=${LCNAME} ${DESTDIR}
fi

if [ -e ${LOCATION}/${SERVER_SCRIPT_NAME} ]; then
    echo "Upgrade Installation Detected at ${LOCATION}.  Upgrading."
    if [ -e ${LOCATION}/client ]; then
	echo "Old Client directory detected, deleting and re-installing.."
	rm -rf ${LOCATION}/client/*
    fi
    for i in `find config  lic  config-vars.sh -type f`; do
        yes n | cp -ri $i ${DESTDIR}/${i}
    done
    for i in `ls -1 | grep -v config-vars.sh | grep -v config | grep -v lic | grep -v config-vars.sh`; do
        cp -r ${i} ${DESTDIR}
    done;
    echo ""
elif [ -e ./${NAME}.jar ]; then
    for i in `ls -1`; do
        cp -r * ${DESTDIR}
    done
    echo "JAVA_HOME=${JAVA_HOME}" > ${DESTDIR}/config-vars.sh
fi

chmod u+x ${DESTDIR}/*.sh
chmod u+x ${DESTDIR}/sysv-init-script
